import request from "@/utils/request";

// 查询网络平台列表
export function listPingtai(query) {
  return request({
    url: "/zongzhi/pingtai/list",
    method: "get",
    params: query,
  });
}

// 查询网络平台详细
export function getPingtai(id) {
  return request({
    url: "/zongzhi/pingtai/" + id,
    method: "get",
  });
}

// 新增网络平台
export function addPingtai(data) {
  return request({
    url: "/zongzhi/pingtai",
    method: "post",
    data: data,
  });
}

// 修改网络平台
export function updatePingtai(data) {
  return request({
    url: "/zongzhi/pingtai",
    method: "put",
    data: data,
  });
}

// 删除网络平台
export function delPingtai(id) {
  return request({
    url: "/zongzhi/pingtai/" + id,
    method: "delete",
  });
}

// 导出网络平台
export function exportPingtai(data) {
  return request({
    url: "/zongzhi/pingtai/export",
    method: "post",
    data,
  });
}
